package org.colinvella.fancyfish.item.combat;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.creativetab.ModCreativeTabs;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemArmor;

public class ModItemArmor extends ItemArmor
{
	public ModItemArmor(String id, ArmorMaterial material, int renderIndex, int armorType)
	{
		super(material, renderIndex, armorType);

		if (logger == null)
			logger = FancyFishMod.getLogger();
				
		this.id = id;
		this.setUnlocalizedName(id);
		this.setMaxStackSize(1);
		this.setCreativeTab(ModCreativeTabs.FancyFishTab);
	}
	
	public String getId()
	{
		return this.id;
	}
	
	private String id;
	
	// private logger reference
	protected static ModLogger logger;
}
