package org.colinvella.fancyfish.item.tool;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.creativetab.ModCreativeTabs;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.item.ItemAxe;

public class ModItemAxe extends ItemAxe
{
	public ModItemAxe(String id, ToolMaterial material)
	{
		super(material);

		if (logger == null)
			logger = FancyFishMod.getLogger();
		
		this.id = id;
		this.setUnlocalizedName(id);
		this.setCreativeTab(ModCreativeTabs.FancyFishTab);
	}
	
	public String getId()
	{
		return this.id;
	}
	
	private String id;
	
	// private logger reference
	protected static ModLogger logger;
}
